Bug 1958080 - Missing i18n for login, error and selectprovider pages
Summary: Missing i18n for login, error and selectprovider pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-07 06:55 UTC by Jakub Hadvig
Modified: 2021-07-27 23:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
login page is loaded in English when browser language is set to Chinese (436.63 KB, image/png)
2021-05-08 10:02 UTC, Yadan Pei
no flags Details
selectprovider page translated (234.18 KB, image/png)
2021-05-10 01:57 UTC, Yadan Pei
no flags Details
login page translated (160.83 KB, image/png)
2021-05-10 01:58 UTC, Yadan Pei
no flags Details
authentication error not translated (87.74 KB, image/png)
2021-05-10 01:59 UTC, Yadan Pei
no flags Details
authentication error is translated - chinese (54.46 KB, image/png)
2021-05-31 06:16 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift oauth-server pull 71 0 None open Bug 1958080: CONSOLE-2535: Internationalize login page 2021-05-07 06:57:15 UTC
Github openshift oauth-server pull 77 0 None open Bug 1958080: Add missing error page strings 2021-05-10 14:08:36 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:35 UTC

Description Jakub Hadvig 2021-05-07 06:55:29 UTC
Description of problem:
When logging into openshift console, we have three pages that are maintained by the oauth-server:
- login page
- error page
- selectprovider page
For all three we are missing internationalisation, based on the 'Accept-Language' request header.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
All three pages are hardcoded in English

Expected results:
Based on the language in the 'Accept-Language' request header, preferred language should be set (en, zh, ko, ja) 


Additional info:

Comment 2 Yadan Pei 2021-05-08 10:01:33 UTC
1. Set browser language as Chinese then visit OCP console, I can see the Accept-Language in GET /login request is set to following

Accept-Language: zh-CN,en-US;q=0.8,en;q=0.5,ja;q=0.3


but the login page is still loaded in English(see screenshot)

Jakub, could you help confirm?

Comment 3 Yadan Pei 2021-05-08 10:02:09 UTC
Created attachment 1780987 [details]
login page is loaded in English when browser language is set to Chinese

Comment 4 Yadan Pei 2021-05-08 10:08:20 UTC
I got results in comment 2, comment 3 on a cluster at version 4.8.0-0.nightly-2021-05-08-025039 which should already include the fix 

the fix PR was merged in https://amd64.ocp.releases.ci.openshift.org/releasestream/4.8.0-0.nightly/release/4.8.0-0.nightly-2021-05-07-120058

Comment 5 Yadan Pei 2021-05-10 01:56:07 UTC
Seems the login error information is still not translated, is there any PR has the feature? Moving back to get double confirm

Comment 6 Yadan Pei 2021-05-10 01:57:06 UTC
Created attachment 1781469 [details]
selectprovider page translated

Comment 7 Yadan Pei 2021-05-10 01:58:35 UTC
Created attachment 1781470 [details]
login page translated

Comment 8 Yadan Pei 2021-05-10 01:59:11 UTC
Created attachment 1781471 [details]
authentication error not translated

Comment 10 Yadan Pei 2021-05-31 06:16:56 UTC
Created attachment 1788146 [details]
authentication error is translated - chinese

Confirmed that now when browser language is set to Chinese, Japanese, Korean, these pages are translated correspondingly

1. login provider selection
2. login
3. login error 


Verified on 4.8.0-0.nightly-2021-05-29-114625

Comment 11 Yadan Pei 2021-05-31 06:18:04 UTC
Remove NEEDINFO since the problem is resolved

Comment 14 errata-xmlrpc 2021-07-27 23:07:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.